<template>
    <div>
    <v-list subheader
    style="background-color: #000411;"
    >
      <v-subheader>Usuarios</v-subheader>

      <v-list-item
        v-for="user in arrayUsuarios"
        :key="user.id"
      >

       <v-list-item-content>
            <v-list-item-title class="white--text">Nome</v-list-item-title>
            <v-list-item-subtitle class="white--text">{{user.username}}</v-list-item-subtitle>
        </v-list-item-content>
        <v-list-item-content>
            <v-list-item-title class="white--text">ID</v-list-item-title>
            <v-list-item-subtitle class="white--text">{{user.id}}</v-list-item-subtitle>
        </v-list-item-content>
        <v-list-item-content>
            <v-list-item-title class="white--text">Email:</v-list-item-title>
            <v-list-item-subtitle class="white--text">{{user.email}}</v-list-item-subtitle>
        </v-list-item-content>
        <v-list-item-content>
            <v-list-item-title class="white--text">Admin</v-list-item-title>
            <v-list-item-subtitle class="white--text">{{user.admin}}</v-list-item-subtitle>
        </v-list-item-content>
        <v-btn 
            icon
            @click="deletarUsuario(user.id)"
            >
            <v-icon color="red">mdi-trash-can-outline</v-icon>
        </v-btn>
      </v-list-item>
    </v-list>

    </div>   
</template>

<script src="./UsuariosController.js" ></script>